[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# ScreenInfo

Contains display attributes for the current screen in an application.

## Declaration

Source position: graphics.pp line 2017

`var ScreenInfo: TScreenInfo = (PixelsPerInchX: 72; PixelsPerInchY: 72; ColorDepth: 24; Initialized: False);`

## Description

ScreenInfo is a TScreenInfo variable which contains display attributes for the current screen in an application, including:

PixelsPerInchX
  Horizontal display density (Pixels Per Inch). Default is 72.
PixelsPerInchY
  Vertical display density (Pixels Per Inch). Default is 72.
ColorDepth
  Number of colors used in image data. Default is 24.
Initialized
  Default value is False.

Values in ScreenInfo are updated when an application initializes the widgetset classes used in the LCL interface.

ScreenInfo is used in the implementation of the ScaleX and ScaleY routines.

## See also

TScreenInfo |  |